#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		svers		2.91
#-----------------------------------------------------------------------------
Name		:	vte
Version		:	0.68.0
Release		:	14.4.0.0%{?dist}
Summary		:	A terminal emulator
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://gitlab.gnome.org/GNOME/vte/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	glade
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	gnutls
BuildRequires	:	pcre2
BuildRequires	:	vala
BuildRequires	:	meson
BuildRequires	:	ninja
#-----------------------------------------------------------------------------
%description
VTE is a terminal emulator widget for use with GTK+

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
meson							\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D _systemd=false				\
	-D docs=false					\
	_build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _build					\
	install

find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%{_sysconfdir}/profile.d/%{name}.sh
%{_sysconfdir}/profile.d/%{name}.csh
%{_bindir}/%{name}-%{svers}
%{_includedir}/%{name}-%{svers}/%{name}/*.h
%{_libdir}/lib%{name}-%{svers}.so*
%{_libexecdir}/%{name}-urlencode-cwd
%{_libdir}/pkgconfig/%{name}-%{svers}.pc
%{_libdir}/girepository-1.0/Vte-%{svers}.typelib
%{_datadir}/gir-1.0/Vte-%{svers}.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}-%{svers}.mo
%{_datadir}/vala/vapi/%{name}-%{svers}.vapi
%{_datadir}/vala/vapi/%{name}-%{svers}.deps
%{_datadir}/glade/catalogs/%{name}-%{svers}.xml
%{_datadir}/glade/pixmaps/hicolor/*/actions/*.png
#{_datadir}/gtk-doc/html/%{name}-2.91/*

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
